Bug 1058798 - [RFE] Allow users to manage ISO images in RHEV cluster
Summary: [RFE] Allow users to manage ISO images in RHEV cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.2.2
: ---
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1122970
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 14:40 UTC by Ulhas Surse
Modified: 2019-05-16 13:04 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 17:36:09 UTC
oVirt Team: Storage
Target Upstream Version:
sherold: Triaged+
ebenahar: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 None None None 2018-05-15 17:38:11 UTC

Comment 16 Yaniv Lavi 2018-02-26 09:35:46 UTC
Please test with the ISO uploading from GUI/REST with user permissions.

Comment 17 Allon Mureinik 2018-02-26 12:45:08 UTC
(In reply to Yaniv Lavi from comment #16)
> Please test with the ISO uploading from GUI/REST with user permissions.

Moving to ON_QA for visibility./=

Comment 20 Kevin Alon Goldblatt 2018-03-12 17:26:58 UTC
Verified with the following code:
---------------------------------------
ovirt-engine-4.2.2.1-0.1.el7.noarch
vdsm-4.20.19-1.el7ev.x86_64

Verified with the following scenario:
---------------------------------------
1.Uploaded images via Disks tab in Webadmin
2.Attached as cdrom to VM
3.Installed OS
4.Start VM with OS
5.Delete image

Step 1 is also verified with automation

Moving to VERIFIED

Comment 21 Yaniv Kaul 2018-03-12 18:17:08 UTC
Kevin - please test with permissions - that they apply well to the ISO just like any CDROM - this will cover a RFE from customers who requested granular permissions on the ISOs.

Comment 22 Kevin Alon Goldblatt 2018-03-18 14:33:03 UTC
(In reply to Yaniv Kaul from comment #21)
> Kevin - please test with permissions - that they apply well to the ISO just
> like any CDROM - this will cover a RFE from customers who requested granular
> permissions on the ISOs.

Hi,
From what I understand you want us to create a user and then verify whether this user can boot and install a VM from an iso image that was uploaded into the DC. If so what roles would I assign to the user. We have 18 Admin roles and 18 User roles.

Comment 23 Yaniv Kaul 2018-03-18 14:46:41 UTC
VmCreator? And if it doesn't work, let's try PowerUserRole?

Which roles do you usually test with?

Comment 26 errata-xmlrpc 2018-05-15 17:36:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 27 Franta Kust 2019-05-16 13:04:53 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.